<?php
if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add a filter
$thisplugin->add_filter('file_data','imglnk_add_data');


function imglnk_add_data($pic_data){ //$pic_data
	global $CONFIG;
	$fullsize_url = get_pic_url($pic_data);
	//you can grab intermediate and thumb URL to just comment out what you need and add the var below
	//$thumb_url = get_pic_url($pic_data, 'thumb');
	//$normal_url = get_pic_url($pic_data, 'normal');
	
	$pic_data['html'] = $pic_data['html'].'<br>[IMG]'.$CONFIG['ecards_more_pic_target'].$fullsize_url.'[/IMG]<br>'; 
	return $pic_data; 
}
?>
